CVE-2006-2661
CVSS5.0
发布时间 :2006-05-30 15:02:00
修订时间 :2011-03-07 21:36:43
NMCOPS    

[原文]ftutil.c in Freetype before 2.2 allows remote attackers to cause a denial of service (crash) via a crafted font file that triggers a null dereference.


[CNNVD]FreeType ftutil.c 远程拒绝服务漏洞(CNNVD-200605-514)

        Freetype 2.2之前版本的ftutil.c可以使远程攻击者借助一个可触发空指针解引用的特制的字体文件,造成拒绝服务(崩溃)。

- CVSS (基础分值)

CVSS分值: 5 [中等(MEDIUM)]
机密性影响: NONE [对系统的机密性无影响]
完整性影响: NONE [不会对系统完整性产生影响]
可用性影响: PARTIAL [可能会导致性能下降或中断资源访问]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: [--]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

cpe:/a:freetype:freetype:2.1.10FreeType 2.1.10
cpe:/a:freetype:freetype:2.1.7FreeType 2.1.7
cpe:/a:freetype:freetype:2.1.4FreeType 2.1.4
cpe:/a:freetype:freetype:2.1.3FreeType 2.1.3
cpe:/a:freetype:freetype:2.1.6FreeType 2.1.6
cpe:/a:freetype:freetype:2.1.8_rc1FreeType 2.1.8 rc1
cpe:/a:freetype:freetype:2.0.9FreeType 2.0.9
cpe:/a:freetype:freetype:2.1.8FreeType 2.1.8
cpe:/a:freetype:freetype:2.1FreeType 2.1
cpe:/a:freetype:freetype:2.1.9FreeType 2.1.9
cpe:/a:freetype:freetype:2.1.5FreeType 2.1.5

- OVAL (用于检测的技术细节)

oval:org.mitre.oval:def:11692ftutil.c in Freetype before 2.2 allows remote attackers to cause a denial of service (crash) via a crafted font file that triggers a null de...
*OVAL详细的描述了检测该漏洞的方法,你可以从相关的OVAL定义中找到更多检测该漏洞的技术细节。

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2006-2661
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2006-2661
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200605-514
(官方数据源) CNNVD

- 其它链接及资源

https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=183676
(PATCH)  MISC  https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=183676
http://www.vupen.com/english/advisories/2007/0381
(UNKNOWN)  VUPEN  ADV-2007-0381
https://issues.rpath.com/browse/RPL-429
(UNKNOWN)  CONFIRM  https://issues.rpath.com/browse/RPL-429
http://www.ubuntulinux.org/support/documentation/usn/usn-291-1
(UNKNOWN)  UBUNTU  USN-291-1
http://www.securityfocus.com/bid/18329
(UNKNOWN)  BID  18329
http://www.securityfocus.com/archive/1/archive/1/436836/100/0/threaded
(UNKNOWN)  BUGTRAQ  20060612 rPSA-2006-0100-1 freetype
http://www.redhat.com/support/errata/RHSA-2006-0500.html
(UNKNOWN)  REDHAT  RHSA-2006:0500
http://www.mandriva.com/security/advisories?name=MDKSA-2006:099
(UNKNOWN)  MANDRIVA  MDKSA-2006:099
http://www.debian.org/security/2006/dsa-1095
(UNKNOWN)  DEBIAN  DSA-1095
http://support.avaya.com/elmodocs2/security/ASA-2006-176.htm
(UNKNOWN)  CONFIRM  http://support.avaya.com/elmodocs2/security/ASA-2006-176.htm
http://sunsolve.sun.com/search/document.do?assetkey=1-26-102705-1
(UNKNOWN)  SUNALERT  102705
http://securitytracker.com/id?1016520
(UNKNOWN)  SECTRACK  1016520
http://secunia.com/advisories/23939
(UNKNOWN)  SECUNIA  23939
http://secunia.com/advisories/21701
(UNKNOWN)  SECUNIA  21701
http://secunia.com/advisories/21385
(UNKNOWN)  SECUNIA  21385
http://secunia.com/advisories/21135
(UNKNOWN)  SECUNIA  21135
http://secunia.com/advisories/21062
(UNKNOWN)  SECUNIA  21062
http://secunia.com/advisories/20791
(UNKNOWN)  SECUNIA  20791
http://secunia.com/advisories/20638
(UNKNOWN)  SECUNIA  20638
http://secunia.com/advisories/20591
(UNKNOWN)  SECUNIA  20591
http://secunia.com/advisories/20525
(UNKNOWN)  SECUNIA  20525
http://lists.suse.com/archive/suse-security-announce/2006-Jun/0012.html
(UNKNOWN)  SUSE  SUSE-SA:2006:037
ftp://patches.sgi.com/support/free/security/advisories/20060701-01-U
(UNKNOWN)  SGI  20060701-01-U

- 漏洞信息

FreeType ftutil.c 远程拒绝服务漏洞
中危 设计错误
2006-05-30 00:00:00 2006-05-30 00:00:00
远程  
        Freetype 2.2之前版本的ftutil.c可以使远程攻击者借助一个可触发空指针解引用的特制的字体文件,造成拒绝服务(崩溃)。

- 公告与补丁

        目前厂商已经发布了升级补丁以修复这个安全问题,补丁下载链接:
        FreeType FreeType 2.2
        FreeType freetype-2.2.1.tar.bz2
        http://prdownloads.sourceforge.net/freetype/freetype-2.2.1.tar.bz2?dow
        nload
        Sun Solaris 8
        Sun 124420-01
        http://sunsolve.sun.com/search/document.do?assetkey=urn:cds:docid:1-21
        -124420-01-1
        FreeType FreeType 0
        FreeType freetype-2.2.1.tar.bz2
        http://prdownloads.sourceforge.net/freetype/freetype-2.2.1.tar.bz2?dow
        nload
        Sun Solaris 9
        Sun 116105-06
        http://sunsolve.sun.com/
        Sun Solaris 9_x86
        Sun 116106-06
        http://sunsolve.sun.com/
        Sun Solaris 8_x86
        Sun 124421-01
        http://sunsolve.sun.com/search/document.do?assetkey=urn:cds:docid:1-21
        -124421-01-1
        Sun Solaris 10.0
        Sun 119812-02
        http://sunsolve.sun.com/
        Sun Solaris 10.0 _x86
        Sun 119813-02
        http://sunsolve.sun.com/

- 漏洞信息 (F48762)

OpenPKG Security Advisory 2006.17 (PacketStormID:F48762)
2006-08-03 00:00:00
OpenPKG Foundation  openpkg.org
advisory
CVE-2006-3467,CVE-2006-2661,CVE-2006-2493,CVE-2006-0747
[点击下载]

OpenPKG Security Advisory OpenPKG-SA-2006.017 - Multiple security issues exist in the FreeType font rendering library before version 2.2.

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

________________________________________________________________________

OpenPKG Security Advisory                            The OpenPKG Project
http://www.openpkg.org/security/                  http://www.openpkg.org
openpkg-security@openpkg.org                         openpkg@openpkg.org
OpenPKG-SA-2006.017                                          28-Jul-2006
________________________________________________________________________

Package:             freetype
Vulnerability:       denial of service, arbitrary code execution
OpenPKG Specific:    no

Affected Releases:   Affected Packages:       Corrected Packages:
OpenPKG CURRENT      N.A.                     N.A.
OpenPKG 2-STABLE     N.A.                     N.A.
OpenPKG 2.5-RELEASE  <= freetype-2.1.10-2.5.0 >= freetype-2.1.10-2.5.1

Description:
  Multiple security issues exist in the FreeType [1] font rendering
  library before version 2.2:

  An integer overflow allows remote attackers to cause a Denial of
  Service (DoS) and possibly execute arbitrary code via unknown vectors,
  as demonstrated by the Red Hat "bad1.pcf" test file, due to a partial
  fix of CVE-2006-1861. The Common Vulnerabilities and Exposures (CVE)
  project assigned the id CVE-2006-3467 [2] to the problem.

  Remote attackers can cause a Denial of Service (DoS) via a specially
  crafted font file that triggers a NULL dereference. The Common
  Vulnerabilities and Exposures (CVE) project assigned the id
  CVE-2006-2661 [3] to the problem.

  Multiple integer overflows allow remote attackers to cause a
  Denial of Service (DoS) and possibly execute arbitrary code. The
  Common Vulnerabilities and Exposures (CVE) project assigned the
  id CVE-2006-1861 [4] to the problem. Parts of this issue the
  Common Vulnerabilities and Exposures (CVE) project assigned the id
  CVE-2006-2493, which is now rejected.

  Integer underflow allows remote attackers to cause a Denial of Service
  (DoS) via a specially crafted font file with an odd number of "blue"
  values, which causes the underflow when decrementing by 2 in a context
  that assumes an even number of values. The Common Vulnerabilities
  and Exposures (CVE) project assigned the id CVE-2006-0747 [5] to the
  problem.

  An additional flaw causes some programs to go into an infinite loop
  and this way cause a Denial of Service (DoS) when dealing with fonts
  that don't have a properly sorted kerning sub-table.
________________________________________________________________________

References:
  [1] http://www.freetype.org/
  [2] http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2006-3467
  [3] http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2006-2661
  [4] http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2006-1861
  [5] http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2006-0747
________________________________________________________________________

For security reasons, this advisory was digitally signed with the
OpenPGP public key "OpenPKG <openpkg@openpkg.org>" (ID 63C4CB9F) of the
OpenPKG project which you can retrieve from http://pgp.openpkg.org and
hkp://pgp.openpkg.org. Follow the instructions on http://pgp.openpkg.org
for details on how to verify the integrity of this advisory.
________________________________________________________________________

-----BEGIN PGP SIGNATURE-----
Comment: OpenPKG <openpkg@openpkg.org>

iD8DBQFEyfw3gHWT4GPEy58RAiB1AKDKGX5q6ovQuoQXjnV9KY3jvCLJNgCgxCdg
difG4d5DnORPqstdPAUejm8=
=hbbe
-----END PGP SIGNATURE-----
    

- 漏洞信息

26033
FreeType Font File Processing NULL Dereference DoS
Denial of Service
Loss of Availability
Vendor Verified

- 漏洞描述

Unknown or Incomplete

- 时间线

2006-05-15 Unknow
Unknow Unknow

- 解决方案

Unknown or Incomplete

- 相关参考

- 漏洞作者

Unknown or Incomplete

- 漏洞信息

FreeType TTF File Remote Denial of Service Vulnerability
Design Error 18329
Yes No
2006-06-08 12:00:00 2007-02-01 03:49:00
Josh Bressers discovered this vulnerability.

- 受影响的程序版本

Ubuntu Ubuntu Linux 5.10 powerpc
Ubuntu Ubuntu Linux 5.10 i386
Ubuntu Ubuntu Linux 5.10 amd64
Ubuntu Ubuntu Linux 5.0 4 powerpc
Ubuntu Ubuntu Linux 5.0 4 i386
Ubuntu Ubuntu Linux 5.0 4 amd64
Ubuntu Ubuntu Linux 6.06 LTS powerpc
Ubuntu Ubuntu Linux 6.06 LTS i386
Ubuntu Ubuntu Linux 6.06 LTS amd64
Sun Solaris 9_x86
Sun Solaris 9
Sun Solaris 8_x86
Sun Solaris 8_sparc
Sun Solaris 10.0_x86
Sun Solaris 10.0
SGI ProPack 3.0 SP6
S.u.S.E. Linux Professional 10.0
S.u.S.E. Linux Professional 9.3
S.u.S.E. Linux Professional 9.2
S.u.S.E. Linux Professional 10.1
S.u.S.E. Linux Personal 10.0 OSS
S.u.S.E. Linux Personal 9.3
S.u.S.E. Linux Personal 9.2
S.u.S.E. Linux Personal 10.1
S.u.S.E. Linux Enterprise Server for S/390 9.0
S.u.S.E. Linux Enterprise Server for S/390
S.u.S.E. Linux Enterprise Server 9
rPath rPath Linux 1
RedHat Enterprise Linux WS 4
RedHat Enterprise Linux WS 3
RedHat Enterprise Linux WS 2.1 IA64
RedHat Enterprise Linux WS 2.1
RedHat Enterprise Linux ES 4
RedHat Enterprise Linux ES 3
RedHat Enterprise Linux ES 2.1 IA64
RedHat Enterprise Linux ES 2.1
RedHat Desktop 4.0
RedHat Desktop 3.0
RedHat Advanced Workstation for the Itanium Processor 2.1 IA64
RedHat Advanced Workstation for the Itanium Processor 2.1
Red Hat Enterprise Linux AS 4
Red Hat Enterprise Linux AS 3
Red Hat Enterprise Linux AS 2.1 IA64
Red Hat Enterprise Linux AS 2.1
OpenPKG OpenPKG 2.5
OpenPKG OpenPKG 2.0
OpenPKG OpenPKG Current
Mandriva Linux Mandrake 2006.0 x86_64
Mandriva Linux Mandrake 2006.0
Mandriva Linux Mandrake 10.2 x86_64
Mandriva Linux Mandrake 10.2
MandrakeSoft Multi Network Firewall 2.0
MandrakeSoft Corporate Server 3.0 x86_64
MandrakeSoft Corporate Server 3.0
FreeType FreeType 2.2
FreeType FreeType 0
Avaya S8710 R2.0.1
Avaya S8710 R2.0.0
Avaya S8700 R2.0.1
Avaya S8700 R2.0.0
Avaya S8500 R2.0.1
Avaya S8500 R2.0.0
Avaya S8300 R2.0.1
Avaya S8300 R2.0.0
Avaya Messaging Storage Server MM3.0
Avaya Messaging Storage Server
Avaya Message Networking
Avaya Intuity LX
FreeType FreeType 2.2.1
+ OpenPKG OpenPKG E1.0-Solid
+ Trustix Secure Linux 3.0.5
+ Trustix Secure Linux 3.0
+ Trustix Secure Linux 2.2

- 不受影响的程序版本

FreeType FreeType 2.2.1
+ OpenPKG OpenPKG E1.0-Solid
+ Trustix Secure Linux 3.0.5
+ Trustix Secure Linux 3.0
+ Trustix Secure Linux 2.2

- 漏洞讨论

FreeType is prone to a denial-of-service vulnerability. This issue is due to a flaw in the library that causes a NULL-pointer dereference.

This issue allows remote attackers to crash applications that use the affected library, denying service to legitimate users.

FreeType versions prior to 2.2.1 are vulnerable to this issue.

- 漏洞利用

The following exploit demonstrates this issue by instigating a crash in the affected library:

- 解决方案

The vendor has released version 2.2.1 of FreeType to address this issue.

Please see the referenced vendor advisories for information on obtaining and applying fixes.


Sun Solaris 10.0

FreeType FreeType 2.2

Sun Solaris 8_sparc

Sun Solaris 10.0_x86

FreeType FreeType 0

Sun Solaris 9

Sun Solaris 9_x86

Sun Solaris 8_x86

- 相关参考

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站